List Application Variant Reports
curl --request GET \
--url https://api.egp.scale.com/v4/application-variant-reports \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v4/application-variant-reports"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/application-variant-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"async_jobs": [
{
"id": "<string>",
"job_type": "application-variant-report-generation",
"status": "Pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"completed": 123,
"failed": 123,
"pending": 123
},
"job_metadata": {}
}
],
"evaluation_datasets": [
{
"generation_status": "Pending",
"evaluation_dataset_version_num": 123,
"evaluation_dataset": {
"name": "<string>",
"schema_type": "GENERATION",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"knowledge_base_id": "<string>",
"evaluation_dataset_metadata": {},
"out_of_date": true,
"vendor": "scale",
"archived_at": "2023-11-07T05:31:56Z",
"schema_sub_type": "summarization"
},
"scored_test_case_count": 123
}
],
"score": 123,
"category_scores": [
{
"category": "accuracy",
"metric_scores": [
{
"metric_type": "answer-correctness",
"category": "accuracy",
"score": 123
}
],
"score": 123
}
]
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
List Application Variant Reports
Description
Lists all application variant reports accessible to the user.
Details
This API can be used to list application variant reports. If a user has access to multiple accounts, all application variant reports from all accounts the user is associated with will be returned.
GET
/
v4
/
application-variant-reports
List Application Variant Reports
Authorizations
Query Parameters
Available options:
AsyncJobs Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response
The data returned for the current page.
Show child attributes
Show child attributes
The total number of items of the query
The current page number.
The number of items per page.

